# Create Packaging

## /packaging

<mark style="color:green;">`POST`</mark> `https://api.terminal.africa/v1/packaging`

This endpoint allows you to add new packaging.

#### Headers

| Name                                            | Type   | Description                      |
| ----------------------------------------------- | ------ | -------------------------------- |
| Authorization<mark style="color:red;">\*</mark> | string | Set value to `Bearer SECRET_KEY` |
| Content-Type                                    | string | Set value to `application/json`  |

#### Request Body

| Name                                           | Type   | Description                                                                            |
| ---------------------------------------------- | ------ | -------------------------------------------------------------------------------------- |
| height<mark style="color:red;">\*</mark>       | number | Height of packaging.                                                                   |
| length<mark style="color:red;">\*</mark>       | number | Length of packaging.                                                                   |
| name<mark style="color:red;">\*</mark>         | string | Name of packaging.                                                                     |
| size\_unit<mark style="color:red;">\*</mark>   | string | Unique size unit for packaging, only ***cm*** available at this time.                  |
| type<mark style="color:red;">\*</mark>         | string | Type of packaging. Accepted values are ***box**, **envelope** and **soft-packaging**.* |
| width<mark style="color:red;">\*</mark>        | number | Width of packaging.                                                                    |
| weight<mark style="color:red;">\*</mark>       | number | Weight of packaging.                                                                   |
| weight\_unit<mark style="color:red;">\*</mark> | string | Weight unit of packaging. Only ***kg*** available at this time.                        |

{% tabs %}
{% tab title="200 " %}

```
{
	status: true,
	message: 'Packaging created successfully',
	data: {
		height: 5,
		id: 'LsuiGzcYlz4dKRYnEXeobJu9gnVbQVXN',
		length: 40,
		name: 'Soft Packaging',
		packaging_id: 'PA-97263925515',
		size_unit: 'cm',
		type: 'soft-package',
		weight: 0.01,
		weight_unit: 'kg',		
		width: 30,
		created_at: '2021-07-13T20:25:53.011Z',
		updated_at: '2021-07-13T20:25:53.011Z'
	}
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.terminal.africa/tship/packaging/create-packaging.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
